# Created by pyp2rpm-3.3.6
%global pypi_name stone

Name:           python-%{pypi_name}
Version:        3.3.1
Release:        %mkrel 1
Summary:        Stone is an interface description language (IDL) for APIs
Group:          Development/Python
License:        MIT License
URL:            https://github.com/dropbox/stone
# PyPI sources are missing some files needed by setup.py
Source0:        https://github.com/dropbox/stone/archive/refs/tags/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(ply) >= 3.4
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six) >= 1.3
BuildRequires:  python3dist(wheel)

%description
The Official Api Spec Language for Dropbox.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The Official Api Spec Language for Dropbox.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

# Relax BRs
sed -i -s 's/pytest-runner\s\+==/pytest-runner >=/g' setup.py

%build
%py3_build

%install
%py3_install

%if 1
%check
%pytest
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/stone
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue May 10 2022 wally <wally> 3.3.1-1.mga9
+ Revision: 1857437
- new version 3.3.1

* Tue Mar 29 2022 umeabot <umeabot> 3.2.1-3.mga9
+ Revision: 1831965
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 3.2.1-2.mga9
+ Revision: 1782299
- rebuild for python-3.10

* Sun Aug 15 2021 wally <wally> 3.2.1-1.mga9
+ Revision: 1741515
- imported package python-stone

